# Generated from bioroebe-0.10.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bioroebe

Name: rubygem-%{gem_name}
Version: 0.10.1
Release: 1%{?dist}
Summary: DO NOT YET DOWNLOAD! THIS WILL BECOME THE NEW bioroebe-0.10.x RELEASE SERIES IN A FEW DAYS! RIGHT NOW IT IS UNSTABLE AND WILL CHANGE A LOT.  Welcome to the bioroebe-0.10.x release series! It is recommended to use ruby 3.x for this series, as it is the most tested version of  ruby in regards to this project.  The bioroebe-project is a software suite focusing on bio-related life sciences in general - in particular molecular biology, molecular genetics, bioinformatics, biotechnology, system biology, synthetic biology and related topics close to the life sciences in general.  The primary objective for the bioroebe project is to provide a "practical glue" between these different topics while also focusing on "getting real work done", as a toolset-project, trying to efficiently solve existing problems.  For additional information about this project, have a look at the link called "documentation" on the rubygems webpage of this gem, on the very bottom right side (The direct URL is:  https://www.rubydoc.info/gems/bioroebe/ )
License: LGPL-2.1
URL: https://rubygems.org/gems/bioroebe
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 3.2.32
BuildRequires: ruby >= 2.5.8
BuildArch: noarch

%description
DO NOT YET DOWNLOAD! THIS WILL BECOME THE NEW bioroebe-0.10.x RELEASE
SERIES IN A FEW DAYS! RIGHT NOW IT IS UNSTABLE AND WILL CHANGE A LOT.
Welcome to the bioroebe-0.10.x release series! It is recommended to
use ruby 3.x for this series, as it is the most tested version of 
ruby in regards to this project.
The bioroebe-project is a software suite focusing on bio-related
life sciences in general - in particular molecular biology, molecular
genetics, bioinformatics, biotechnology, system biology, synthetic
biology and related topics close to the life sciences in general.
The primary objective for the bioroebe project is to provide a
"practical glue" between these different topics while also focusing
on "getting real work done", as a toolset-project, trying to
efficiently solve existing problems.
For additional information about this project, have a look at the
link called "documentation" on the rubygems webpage of this gem,
on the very bottom right side (The direct URL is: 
https://www.rubydoc.info/gems/bioroebe/ ).
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/advanced_dotplot
%{_bindir}/align_open_reading_frames
%{_bindir}/all_positions_of_this_nucleotide
%{_bindir}/aminoacid_composition
%{_bindir}/aminoacid_frequencies
%{_bindir}/automatically_rename_this_fasta_file
%{_bindir}/base_composition
%{_bindir}/batch_create_windows_executables
%{_bindir}/biomart_console
%{_bindir}/bioroebe
%{_bindir}/bioroebe_notebook
%{_bindir}/bioshell
%{_bindir}/blosum_2D_table
%{_bindir}/calculate_n50_value
%{_bindir}/chunked_display
%{_bindir}/codon_to_aminoacid
%{_bindir}/colourize_this_fasta_sequence
%{_bindir}/complement
%{_bindir}/complementary_dna_strand
%{_bindir}/complementary_rna_strand
%{_bindir}/compseq
%{_bindir}/consensus_sequence
%{_bindir}/count_AT
%{_bindir}/count_GC
%{_bindir}/create_random_aminoacids
%{_bindir}/decode_this_aminoacid_sequence
%{_bindir}/deduce_aminoacid_sequence
%{_bindir}/deduce_most_likely_aminoacid_sequence
%{_bindir}/display_aminoacid_table
%{_bindir}/display_open_reading_frames
%{_bindir}/dna_to_aminoacid_sequence
%{_bindir}/dna_to_rna
%{_bindir}/downcase_chunked_display
%{_bindir}/download_this_pdb
%{_bindir}/fasta_index
%{_bindir}/fetch_data_from_uniprot
%{_bindir}/filter_away_invalid_nucleotides
%{_bindir}/find_substring
%{_bindir}/genbank_to_fasta
%{_bindir}/hamming_distance
%{_bindir}/input_as_dna
%{_bindir}/is_palindrome
%{_bindir}/leading_five_prime
%{_bindir}/levensthein
%{_bindir}/longest_ORF
%{_bindir}/longest_substring
%{_bindir}/n_stop_codons_in_this_sequence
%{_bindir}/open_reading_frames
%{_bindir}/overwrite_fasta_header
%{_bindir}/palindrome_2D_structure
%{_bindir}/palindrome_generator
%{_bindir}/parse_fasta
%{_bindir}/partner_nucleotide
%{_bindir}/possible_codons_for_this_aminoacid
%{_bindir}/random_dna_sequence
%{_bindir}/random_sequence
%{_bindir}/raw_hamming_distance
%{_bindir}/return_longest_substring_via_LCS_algorithm
%{_bindir}/reverse_complement
%{_bindir}/reverse_sequence
%{_bindir}/ruler
%{_bindir}/scan_this_input_for_startcodons
%{_bindir}/short_aminoacid_letter_from_long_aminoacid_name
%{_bindir}/show_atomic_composition
%{_bindir}/show_codon_usage
%{_bindir}/show_fasta_header
%{_bindir}/show_nucleotide_sequence
%{_bindir}/show_this_codon_table
%{_bindir}/show_this_dna_sequence
%{_bindir}/showorf
%{_bindir}/simplify_fasta
%{_bindir}/sort_aminoacid_based_on_its_hydrophobicity
%{_bindir}/split_this_fasta_file_into_chromosomes
%{_bindir}/strict_filter_away_invalid_aminoacids
%{_bindir}/taxonomy
%{_bindir}/three_to_one
%{_bindir}/to_rna
%{_bindir}/trailing_three_prime
%{_bindir}/trypsin_digest
%{_bindir}/upcase_this_aminoacid_sequence_and_remove_numbers
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/bin
%{gem_instdir}/html
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/bioroebe.gemspec
%doc %{gem_instdir}/doc
%{gem_instdir}/spec
%{gem_instdir}/test

%changelog
* Thu Dec 23 2021 mockbuilder - 0.10.1-1
- Initial package
